org.eclipse.wst.jsdt.js.cli.core

## Class CLIResult

- java.lang.Object
- - org.eclipse.wst.jsdt.js.cli.core.CLIResult

    public class CLIResult
    extends java.lang.Object

Generic execution result for Cordova CLI.

### Constructor Summary

Constructors
Constructor and Description
`CLIResult(java.lang.String error, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()`
`boolean` `hasError()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLIResult

    public CLIResult(java.lang.String error,
                     java.lang.String message)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

#### hasError

    public boolean hasError()